// 
// This file is part of MolMeccano, a cross-platform C++ chemical library.
//
// Copyright (C) 2001-2007 Alexey Nikitin
//
#ifndef TEXT_OUTPUT_H
#define TEXT_OUTPUT_H

namespace MM
{

class Text;

class Text_output
{
public:
    virtual Text_output & text( const Text & ) = 0;
    virtual Text_output & line( const Text & ) = 0;
    virtual Text_output & flush() { return * this; }
    virtual ~Text_output();
};

}//MM

#endif //TEXT_OUTPUT_H

